var finalHtml = '';
for (var i = 0, len = questions.length; i < len; i++) {
	var question = questions[i];
	finalHtml += '<div><label><span>' + question.title + ':</span>' +
		'<input type="checkbox" name="' + question.name + '" />' +
	'</label></div>';
}
$('form').html(finalHtml);


var parts = [];
for (var i = 0, len = questions.length; i < len; i++) {
	var question = questions[i];
	parts.push('<div><label><span>' + question.title + ':</span>' +
		'<input type="checkbox" name="' + question.name + '" />' +
	'</label></div>');
}
$('form').html(parts.join(''));